# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetPathOffset

Function

Gets the offset of a Path Array in the original Field after partitioning.

Syntax
`
#include <dx/dx.h>
`

PathArray DXGetPathOffset(PathArray a, int *offset)

Functional Details

Gets the offset value `offset` for this portion of the Path Array `a` relative to the original grid. In the case where a Path Array is used to define a regular grid of connections that is a part of a partitioned Field, it is useful to know the offset of the partition within the original Field.

Path Arrays are typically used as constituents in Mesh Arrays that define regular or partially regular connections grids of one or more dimensions. In that case, the mesh offsets of the partition within the original mesh are generally accessed at the Mesh Array level through calls to `DXSetMeshOffsets` and `DXGetMeshOffsets`.

Return Value

Returns `a` or returns `NULL` and sets an error code.

See Also

`DXGetMeshOffsets, DXGetPathArrayInfo, DXNewPathArray, DXSetMeshOffsets`

"Path Arrays".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]